# $Revision: 1.14 $, $Date: 2002/07/11 13:00:58 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTTP
%define	pnam	GHTTP
Summary:	Perl interface to the gnome ghttp library 
Summary(pl):	Modu perla z interfejsem do biblioteki gnome ghttp
Name:		perl-HTTP-GHTTP
Version:	1.07
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	libghttp-devel
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl interface to the gnome ghttp library.

%description -l pl
Modu perla z interfejsem do biblioteki GNOME ghttp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/g-request
%dir %{perl_sitearch}/HTTP
%{perl_sitearch}/HTTP/GHTTP.pm
%dir %{perl_sitearch}/auto/HTTP
%{perl_sitearch}/auto/HTTP/GHTTP
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-HTTP-GHTTP.spec,v $
Revision 1.14  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.13  2002/07/11 07:59:52  depesz
- new version; should work; STBR

Revision 1.12  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.11  2002/02/25 10:32:15  depesz
cleanup; revision++

Revision 1.10  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/13 14:16:24  depesz
automatic: Source location unfied, Relase Up

Revision 1.8  2002/02/10 15:27:21  depesz
adapterized

Revision 1.7  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/07/16 00:10:17  qboosh
- added %%{perl_sitearch}/{,auto/}HTTP dirs (no other package use them)
- release 4

Revision 1.5  2001/07/05 22:29:04  qboosh
- added dir: %%{perl_sitearch}/auto/HTTP/GHTTP
- release 3

Revision 1.4  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.3  2001/04/17 12:10:40  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.2  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.1  2001/02/01 18:21:16  kloczek
- written from scrach.
